module.exports = (sequelize, DataTypes) => {
    const customers = sequelize.define('customers',{
        customerId:{
            type: DataTypes.INTEGER,      
            autoIncrement:true,
            allowNull:false,
            primaryKey:true
        },
        nombres: {
            type: DataTypes.STRING, 
            allowNull:false 
        },
        apellidoPaterno: {
            type: DataTypes.STRING, 
            allowNull:true 
        },
        apellidoMaterno: {
            type: DataTypes.STRING, 
            allowNull:true
        },
        date: {
            type: DataTypes.DATE, 
            allowNull:true 
        },
        telefono: {
            type: DataTypes.STRING, 
            allowNull:true
        },
        correo: {
            type: DataTypes.STRING, 
            allowNull:true
        },
        evolutionId: {
            type: DataTypes.INTEGER, 
            allowNull:true
        },
        userCategoryId: {
            type: DataTypes.INTEGER, 
            allowNull:false
        },
        isActive: {
            type: DataTypes.BOOLEAN, 
            allowNull:false 
        }, 
        grado: {
            type: DataTypes.STRING, 
            allowNull:true
        },    
        cinta: {
            type: DataTypes.STRING, 
            allowNull:true
        },   
        updatedAt: {
            type: DataTypes.DATE, 
            allowNull:true 
        },
        createdAt: {
            type: DataTypes.DATE, 
            allowNull:true 
        },
    })
    
    return customers;
}