module.exports = (sequelize, DataTypes) => {
    const logs = sequelize.define('logs',{
        logId:{
            type: DataTypes.INTEGER,      
            autoIncrement:true,
            allowNull:false,
            primaryKey:true
        },
        customerId: {
            type: DataTypes.INTEGER, 
            allowNull:false 
        },
        date: {
            type: DataTypes.DATE, 
            allowNull:false 
        },       
        createdAt: {
            type: DataTypes.DATE, 
            allowNull:true 
        },
        updatedAt: {
            type: DataTypes.DATE, 
            allowNull:true 
        },
    })
    
    return logs;
}