module.exports = (sequelize, DataTypes) => {
    const userCategories = sequelize.define('userCategories',{
        categoryId:{
            type: DataTypes.INTEGER,      
            autoIncrement:true,
            allowNull:false,
            primaryKey:true
        },
        name: {
            type: DataTypes.STRING, 
            allowNull:false 
        },
        isActive: {
            type: DataTypes.BOOLEAN, 
            allowNull:false 
        },   
        cinta:{
            type: DataTypes.INTEGER,                  
            allowNull:false,
        },  
        grado:{
            type: DataTypes.INTEGER,                  
            allowNull:false,
        },  
        createdAt: {
            type: DataTypes.DATE, 
            allowNull:true 
        },
        updatedAt: {
            type: DataTypes.DATE, 
            allowNull:true 
        },
    })
    
    return userCategories;
}