const mongoose = require('mongoose');
const Schema = mongoose.Schema;



const LogSchema = new Schema({
    nombres: String,
    apellidoPaterno: String,
    apellidoMaterno: String,
    date: String,
    hora: String,
    hour: Number,
    IDv:Number,
    asistencia: {
        type: Number,
        default: 0 // Inicialmente, la asistencia es 0
    }

});



module.exports = mongoose.model('logs',LogSchema);